Ajp14Interceptor (Tomcat API Documentation)
Keywords: org.apache.ajp.tomcat33.Ajp14Interceptor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ajp.tomcat33
Class Ajp14Interceptor

    java.lang.Object
      PoolTcpConnector
          org.apache.ajp.tomcat33.Ajp14Interceptor

All Implemented Interfaces:
  TcpConnectionHandler

public class Ajp14Interceptor
extends PoolTcpConnector
implements TcpConnectionHandler

Tomcat 33 module implementing the Ajp14 protocol. The actual protocol implementation is in Ajp14.java, this is just an adapter to plug it into tomcat.

See Also:
  Serialized Form

Constructor Summary
`Ajp14Interceptor()`

Method Summary
`protected boolean` | `doShutdown(java.net.InetAddress serverAddr, java.net.InetAddress clientAddr)`
`void` | `engineInit(ContextManager cm)`
`void` | `engineStart(ContextManager cm)`
`java.lang.Object` | `getInfo(Context ctx, Request request, int id, java.lang.String key)`
`java.lang.Object[]` | `init()` Called by the thread pool when a new thread is added to the pool, in order to create the (expensive) objects that will be stored as thread data.
`protected void` | `localInit()` Called by PoolTcpConnector to allow childs to init.
`void` | `processConnection(TcpConnection connection, java.lang.Object[] thData)` Called whenever a new TCP connection is received.
`int` | `setInfo(Context ctx, Request request, int id, java.lang.String key, java.lang.Object obj)`
`void` | `setPassword(java.lang.String s)`
`void` | `setSeed(java.lang.String pseed)` Set the original entropy seed
`void` | `setServer(java.lang.Object contextM)` Add informations about the a "controler" object specific to the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tomcat.util.net.TcpConnectionHandler
`setAttribute`

Constructor Detail

### Ajp14Interceptor

    public Ajp14Interceptor()

Method Detail

### engineInit

    public void engineInit(ContextManager cm)
                    throws TomcatException

  Throws:
    `TomcatException`

### engineStart

    public void engineStart(ContextManager cm)
                     throws TomcatException

  Throws:
    `TomcatException`

### setPassword

    public void setPassword(java.lang.String s)

### setSeed

    public void setSeed(java.lang.String pseed)

  Set the original entropy seed

### localInit

    protected void localInit()
                      throws java.lang.Exception

  Called by PoolTcpConnector to allow childs to init.

  Throws:
    `java.lang.Exception`

### init

    public java.lang.Object[] init()

  Called by the thread pool when a new thread is added to the pool, in order to create the (expensive) objects that will be stored as thread data. XXX we should use a single object, not array ( several reasons ), XXX Ajp14 should be storead as a request note, to be available in all modules

  Specified by:
    `init` in interface `TcpConnectionHandler`

### processConnection

    public void processConnection(TcpConnection connection,
                                  java.lang.Object[] thData)

  Called whenever a new TCP connection is received. The connection is reused.

  Specified by:
    `processConnection` in interface `TcpConnectionHandler`

### doShutdown

    protected boolean doShutdown(java.net.InetAddress serverAddr,
                                 java.net.InetAddress clientAddr)

### setServer

    public void setServer(java.lang.Object contextM)

  Description copied from interface: `TcpConnectionHandler`
  Add informations about the a "controler" object specific to the server. In tomcat it will be a ContextManager.

  Specified by:
    `setServer` in interface `TcpConnectionHandler`

### getInfo

    public java.lang.Object getInfo(Context ctx,
                                    Request request,
                                    int id,
                                    java.lang.String key)

### setInfo

    public int setInfo(Context ctx,
                       Request request,
                       int id,
                       java.lang.String key,
                       java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.